//
//  EMBEmberLibraryFileManager.h
//  EmberCommon
//
//  Created by Damien DeVille on 4/28/14.
//  Copyright (c) 2014 Realmac Software. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <ImageIO/ImageIO.h>

@protocol EMBEmberFileManager <NSObject>

 @required

- (BOOL)canReadItemWithoutBlockingAtURL:(NSURL *)itemURL;

- (BOOL)copyItemAtURL:(NSURL *)originURL toURL:(NSURL *)destinationURL fileCoordinator:(NSFileCoordinator *)fileCoordinator error:(NSError **)errorRef;
- (BOOL)moveItemAtURL:(NSURL *)originURL toURL:(NSURL *)destinationURL fileCoordinator:(NSFileCoordinator *)fileCoordinator error:(NSError **)errorRef;
- (BOOL)deleteItemAtURL:(NSURL *)itemURL fileCoordinator:(NSFileCoordinator *)fileCoordinator error:(NSError **)errorRef;

- (CGImageSourceRef)imageSourceForFileAtURL:(NSURL *)url options:(NSDictionary *)options error:(NSError **)errorRef CF_RETURNS_RETAINED;

@end
