//
//  EMBEmberLibraryBackup.h
//  EmberCommon
//
//  Created by Damien DeVille on 12/3/13.
//  Copyright (c) 2013 Realmac Software. All rights reserved.
//

#import "RMFoundation/RMFoundation.h"

extern NSString * const EMBEmberLibraryBackupUTType;
extern NSString * const EMBEmberLibraryMetadataBackupUTType;

@interface EMBEmberLibraryBackup : NSObject

- (id)initWithContentsOfURL:(NSURL *)fileURL ofType:(NSString *)fileType error:(NSError **)errorRef;
- (BOOL)saveToURL:(NSURL *)fileURL ofType:(NSString *)fileType error:(NSError **)errorRef;

@property (readonly, copy, nonatomic) NSURL *fileURL;
@property (readonly, copy, nonatomic) NSString *fileType;

@end

extern NSString * const EMBEmberLibraryBackupInfoVersionKey;
extern NSString * const EMBemberLibraryBackupInfoLibraryIdentifierKey;

extern NSString * const EMBEmberLibraryBackupMetadataCollectionsKey;
extern NSString * const EMBEmberLibraryBackupMetadataSmartCollectionsKey;
extern NSString * const EMBEmberLibraryBackupMetadataFoldersKey;
extern NSString * const EMBEmberLibraryBackupMetadataSubscriptionsKey;
extern NSString * const EMBEmberLibraryBackupMetadataSnapsKey;

@interface EMBEmberLibraryBackup (Content)

@property (readonly, getter = isMetadataBackup, assign, nonatomic) BOOL metadataBackup;

@property (readonly, strong, nonatomic) NSDictionary *metadata;
@property (readonly, copy, nonatomic) NSURL *snapDocumentsLocation;
@property (readonly, copy, nonatomic) NSURL *snapThumbnailsLocation;

@end
