//
//  NSManagedObjectModel+EMBEmberDataModel.h
//  EmberCommon
//
//  Created by Damien DeVille on 06/10/2012.
//  Copyright (c) 2012 Realmac Software. All rights reserved.
//

#import <CoreData/CoreData.h>

@interface NSManagedObjectModel (EMBEmberDataModel)

/*!
	\brief
	The location of the managed object model that contains the global data model for Ember.
 */
+ (NSURL *)emberManagedObjectModelLocation;

/*!
	\brief
	Managed object model that contains the global data model for Ember.
 */
+ (NSManagedObjectModel *)emberManagedObjectModel;

@end

/*!
	\brief
	Various configurations that are created with the data model and that
	can be used to create various persistent stores in the application.
 */
extern NSString * const EMBEmberDataModelEmberLibraryConfigurationName;
extern NSString * const EMBEmberDataModelEmberJournalConfigurationName;
extern NSString * const EMBEmberDataModelEmberLocalConfigurationName;
extern NSString * const EMBEmberDataModelEmberDefaultConfigurationName;
