//
//  EMBBatchSnapColourAnalysisOperation.h
//  EmberCommon
//
//  Created by Damien DeVille on 10/2/13.
//  Copyright (c) 2013 Realmac Software. All rights reserved.
//

#import "EMBEmberCoreConcurrency/EMBEmberCoreConcurrency.h"

@class NSManagedObjectContext;
@class EMBEmberLibrary;

@interface EMBBatchSnapColourAnalysisOperation : EMBConcurrentOperation <EMBProgressOperation>

- (id)initWithManagedObjectContext:(NSManagedObjectContext *)managedObjectContext emberLibrary:(EMBEmberLibrary *)emberLibrary;

/*!
	\brief
	If set to YES, the sort colour will be updated for all existing snaps.
	If set to NO, only the snap missing a sort colour will be analyzed.
 */
@property (assign, nonatomic) BOOL overrideCurrentSnapColours;

@property (readonly, copy, atomic) NSArray * (^completionProvider)(NSError **errorRef);

@end
