//
//  EMBPublishingController.h
//  EmberTouch
//
//  Created by Damien DeVille on 30/01/2012.
//  Copyright (c) 2012 Realmac Software. All rights reserved.
//

#import <Foundation/Foundation.h>

@class NSManagedObjectID, NSManagedObjectContext;
@class RMUploadPreset, EMBSnap, EMBSharingUploadOperation, EMBUploadDestinationsController;

@interface EMBPublishingController : NSObject

@property (readonly, strong, nonatomic) EMBUploadDestinationsController *uploadDestinationsController;
@property (readonly, strong, nonatomic) NSOperationQueue *uploadOperationQueue;

/*
 
 */

- (NSManagedObjectID *)createAndSaveSharingUploadWithSnap:(EMBSnap *)snap uploadPreset:(RMUploadPreset *)uploadPreset managedObjectContext:(NSManagedObjectContext *)managedObjectContext error:(NSError **)errorRef;

/*!
	\brief
	Record an upload operation for a sharing upload
 */
- (void)recordOperation:(EMBSharingUploadOperation *)uploadOperation forSharingUploadObjectID:(NSManagedObjectID *)sharingUploadObjectID managedObjectContext:(NSManagedObjectContext *)managedObjectContext;

- (EMBSharingUploadOperation *)uploadOperationForSharingUploadObjectID:(NSManagedObjectID *)sharingUploadObjectID;

@end
