//
//  RMUploadAvailability.h
//  RMUploadKit
//
//  Created by Keith Duncan on 08/09/2010.
//  Copyright 2010 Realmac Software. All rights reserved.
//

#import <Foundation/Foundation.h>


#define RMUPLOADKIT_FRAMEWORK_VERSION_1_0 1
#define RMUPLOADKIT_FRAMEWORK_VERSION_1_1 5

/* The version of the RMUploadKit framework, for runtime uses */
extern NSUInteger RMUploadKitVersionNumber(void);


#define RMUPLOADKIT_DEPRECATED_ATTRIBUTE	__attribute__((deprecated))
#define RMUPLOADKIT_UNAVAILABLE_ATTRIBUTE	__attribute__((unavailable))
#define RMUPLOADKIT_WEAK_IMPORT_ATTRIBUTE	__attribute__((weak_import))


#if !defined(__has_feature)
	#define __has_feature(x) 0
#endif /* !defined(__has_feature) */

#if __has_feature(attribute_nonnull)
	#define RMUPLOADKIT_NONNULL_ATTRIBUTE(arg, ...) __attribute__((nonnull(arg, ##__VA_ARGS__)))
#else
	#define RMUPLOADKIT_NONNULL_ATTRIBUTE(arg, ...)
#endif /* __has_feature(attribute_nonnull) */


#if !defined(RMUPLOADKIT_FRAMEWORK_VERSION_MIN_REQUIRED)
#define RMUPLOADKIT_FRAMEWORK_VERSION_MIN_REQUIRED RMUPLOADKIT_FRAMEWORK_VERSION_1_1
#endif /* !defined(RMUPLOADKIT_FRAMEWORK_VERSION_MIN_REQUIRED) */

#if !defined(RMUPLOADKIT_FRAMEWORK_VERSION_MAX_ALLOWED)
#define RMUPLOADKIT_FRAMEWORK_VERSION_MAX_ALLOWED RMUPLOADKIT_FRAMEWORK_VERSION_1_1
#endif /* !defined(RMUPLOADKIT_FRAMEWORK_VERSION_MAX_ALLOWED) */


/*
	RMUPLOADKIT_FRAMEWORK_VERSION_1_0
 */

// Available in RMUploadKit 1.0 and later
#define AVAILABLE_RMUPLOADKIT_FRAMEWORK_VERSION_1_0_AND_LATER

// Available in RMUploadKit 1.0, deprecated in RMUploadKit 1.0
#define AVAILABLE_RMUPLOADKIT_FRAMEWORK_VERSION_1_0_AND_LATER_BUT_DEPRECATED	RMUPLOADKIT_DEPRECATED_ATTRIBUTE

// Deprecated in RMUploadKit 1.0
#define DEPRECATED_IN_RMUPLOADKIT_FRAMEWORK_VERSION_1_0_AND_LATER				RMUPLOADKIT_DEPRECATED_ATTRIBUTE


/*
	RMUPLOADKIT_FRAMEWORK_VERSION_1_1
 */

// AVAILABLE_RMUPLOADKIT_FRAMEWORK_VERSION_1_1_AND_LATER
#if RMUPLOADKIT_FRAMEWORK_VERSION_MAX_ALLOWED < RMUPLOADKIT_FRAMEWORK_VERSION_1_1
	#define AVAILABLE_RMUPLOADKIT_FRAMEWORK_VERSION_1_1_AND_LATER		RMUPLOADKIT_UNAVAILABLE_ATTRIBUTE
#elif RMUPLOADKIT_FRAMEWORK_VERSION_MIN_REQUIRED < RMUPLOADKIT_FRAMEWORK_VERSION_1_1
	#define AVAILABLE_RMUPLOADKIT_FRAMEWORK_VERSION_1_1_AND_LATER		RMUPLOADKIT_WEAK_IMPORT_ATTRIBUTE
#else
	#define AVAILABLE_RMUPLOADKIT_FRAMEWORK_VERSION_1_1_AND_LATER
#endif /* RMUPLOADKIT_FRAMEWORK_VERSION_MAX_ALLOWED < RMUPLOADKIT_FRAMEWORK_VERSION_1_1 */

// AVAILABLE_RMUPLOADKIT_FRAMEWORK_VERSION_1_1_AND_LATER_BUT_DEPRECATED
#if RMUPLOADKIT_FRAMEWORK_VERSION_MIN_REQUIRED >= RMUPLOADKIT_FRAMEWORK_VERSION_1_1
	#define AVAILABLE_RMUPLOADKIT_FRAMEWORK_VERSION_1_1_AND_LATER_BUT_DEPRECATED	RMUPLOADKIT_DEPRECATED_ATTRIBUTE
#else
	#define AVAILABLE_RMUPLOADKIT_FRAMEWORK_VERSION_1_1_AND_LATER_BUT_DEPRECATED	AVAILABLE_RMUPLOADKIT_FRAMEWORK_VERSION_1_1_AND_LATER
#endif /* RMUPLOADKIT_FRAMEWORK_VERSION_MIN_REQUIRED >= RMUPLOADKIT_FRAMEWORK_VERSION_1_1 */

// AVAILABLE_RMUPLOADKIT_FRAMEWORK_VERSION_1_0_AND_LATER_BUT_DEPRECATED_IN_RMUPLOADKIT_FRAMEWORK_VERSION_1_1
#if RMUPLOADKIT_FRAMEWORK_VERSION_MIN_REQUIRED >= RMUPLOADKIT_FRAMEWORK_VERSION_1_1
	#define AVAILABLE_RMUPLOADKIT_FRAMEWORK_VERSION_1_0_AND_LATER_BUT_DEPRECATED_IN_RMUPLOADKIT_FRAMEWORK_VERSION_1_1	RMUPLOADKIT_DEPRECATED_ATTRIBUTE
#else
	#define AVAILABLE_RMUPLOADKIT_FRAMEWORK_VERSION_1_0_AND_LATER_BUT_DEPRECATED_IN_RMUPLOADKIT_FRAMEWORK_VERSION_1_1	AVAILABLE_RMUPLOADKIT_FRAMEWORK_VERSION_1_0_AND_LATER
#endif /* RMUPLOADKIT_FRAMEWORK_VERSION_MIN_REQUIRED >= RMUPLOADKIT_FRAMEWORK_VERSION_1_1 */

// DEPRECATED_IN_RMUPLOADKIT_FRAMEWORK_VERSION_1_1_AND_LATER
#if RMUPLOADKIT_FRAMEWORK_VERSION_MIN_REQUIRED >= RMUPLOADKIT_FRAMEWORK_VERSION_1_1
	#define DEPRECATED_IN_RMUPLOADKIT_FRAMEWORK_VERSION_1_1_AND_LATER	RMUPLOADKIT_DEPRECATED_ATTRIBUTE
#else
	#define DEPRECATED_IN_RMUPLOADKIT_FRAMEWORK_VERSION_1_1_AND_LATER
#endif /* RMUPLOADKIT_FRAMEWORK_VERSION_MIN_REQUIRED >= RMUPLOADKIT_FRAMEWORK_VERSION_1_1 */
